Bug 240752 - graphics/gd: failed to build (missing header)
Summary: graphics/gd: failed to build (missing header)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-22 15:09 UTC by Stéphane D'Alu
Modified: 2019-09-23 11:38 UTC (History)
0 users

See Also:
dinoex: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stéphane D'Alu 2019-09-22 15:09:53 UTC
=>> Building graphics/gd
build started at Sun Sep 22 17:06:11 CEST 2019
port directory: /usr/ports/graphics/gd
package name: libgd-2.2.5_1,1
building for: FreeBSD incal.sdalu.com 12.0-RELEASE-p1 FreeBSD 12.0-RELEASE-p1 1200086 amd64
maintained by: dinoex@FreeBSD.org
Makefile ident:      $FreeBSD: head/graphics/gd/Makefile 512320 2019-09-19 08:01:58Z dinoex $
Poudriere version: 3.3.2_1
Host OSVERSION: 1200086
Jail OSVERSION: 1200086
Job Id: 01

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1200086
UNAME_v=FreeBSD 12.0-RELEASE-p1 1200086
UNAME_r=12.0-RELEASE-p1
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.3.2_1
MASTERMNT=/var/poudriere/data/.m/amd64_12_0_server-default-server/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=screen
PWD=/var/poudriere/data/.m/amd64_12_0_server-default-server/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=amd64:12_0:server-default-server
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/var/poudriere/data/.m/amd64_12_0_server-default-server/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for libgd-2.2.5_1,1:
     FONTCONFIG=off: X11 font configuration support
     ICONV=off: Encoding conversion support via iconv
     XPM=off: XPM pixmap image format support
     WEBP=off: WebP image format support
     TIFF=off: TIFF image format support
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
dinoex@FreeBSD.org
--End MAINTAINER--

--CONFIGURE_ARGS--
--with-fontconfig=no --without-tiff --without-webp --with-xpm=no --prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PKG_CONFIG=pkgconf XDG_DATA_HOME=/wrkdirs/usr/ports/graphics/gd/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/graphics/gd/work  HOME=/wrkdirs/usr/ports/graphics/gd/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/graphics/gd/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/graphics/gd/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/graphics/gd/work  HOME=/wrkdirs/usr/ports/graphics/gd/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/graphics/gd/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  CC="cc" CFLAGS="-O2 -pipe  -fstack-protector-strong -fno-strict-aliasing "  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -L/usr/local/lib -fstack-protector-strong " LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector-strong -fno-strict-aliasing  "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
 OSREL=12.0 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/libgd"  EXAMPLESDIR="share/examples/libgd"  DATADIR="share/libgd"  WWWDIR="www/libgd"  ETCDIR="etc/libgd"
--End PLIST_SUB--

--SUB_LIST--
 PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/libgd DOCSDIR=/usr/local/share/doc/libgd EXAMPLESDIR=/usr/local/share/examples/libgd  WWWDIR=/usr/local/www/libgd ETCDIR=/usr/local/etc/libgd
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
FORCE_PACKAGE=yes
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/server-make.conf ####
# !!
# !! Fixing poudriere
# !!

WITH_MPM=event			# Build of PHP when ZTS is enabled
devel_apr1_UNSET += MYSQL	# Failed to detect MariaDB

WANT_OPENLDAP_SASL=yes

# Acknowled all licenses
DISABLE_LICENSES=yes

######################################################################
# Default versions                                                   #
######################################################################

DEFAULT_VERSIONS+=     ssl=base
DEFAULT_VERSIONS+=     gcc=8
DEFAULT_VERSIONS+=   perl5=5.28
DEFAULT_VERSIONS+=    ruby=2.6
DEFAULT_VERSIONS+=     lua=5.1		# Due to prosody
DEFAULT_VERSIONS+=     php=7.3
DEFAULT_VERSIONS+=   mysql=10.4m
DEFAULT_VERSIONS+=   pgsql=11
DEFAULT_VERSIONS+=   samba=4.10
DEFAULT_VERSIONS+=  apache=2.4
DEFAULT_VERSIONS+=     bdb=5
DEFAULT_VERSIONS+=   linux=c7
DEFAULT_VERSIONS+=   emacs=nox		# For packages depending on emacs

TEX_DEFAULT=texlive
JAVA_VERSION=1.8
JAVA_VENDOR=openjdk

######################################################################
# Port options                                                       #
######################################################################

# Documentation
OPTIONS_SET   += MANPAGES HELP
OPTIONS_UNSET += EXAMPLES DOCS

# Debugging / Testing / Compiling
OPTIONS_SET   += DTRACE
OPTIONS_UNSET += DEBUG
OPTIONS_SET   += TEST
OPTIONS_SET   += THREADS

# Optimization
OPTIONS_SET   += OPTIMIZED_CFLAGS OPTIMIZED_FLAGS
OPTIONS_SET   += RTCPU SIMD
OPTIONS_SET   += XS

# Security
OPTIONS_SET   += SODIUM
OPTIONS_SET   += OPENSSL SSL
OPTIONS_SET   += GSSAPI_NONE
OPTIONS_UNSET += GSSAPI KERBEROS

# Basic libraries
OPTIONS_SET   += SYSLOG 
OPTIONS_SET   += ZLIB
OPTIONS_SET   += PCRE PCRE2
OPTIONS_SET   += LIBSECRET
OPTIONS_SET   += LIBXML LIBXML2 XML

# Terminal
OPTIONS_SET   += NCURSES_BASE
OPTIONS_SET   += READLINE READLINES

# Database
OPTIONS_SET   += MYSQL SQLITE
OPTIONS_UNSET += BDB1 GDBM

# Internationalisation / Localisation
OPTIONS_SET   += UTF8
OPTIONS_SET   += NLS 
OPTIONS_SET   += IDN ICU
OPTIONS_SET   += A4 METRIC

# Audio
OPTIONS_SET   += SNDIO
OPTIONS_UNSET += ALSA JACK PULSEAUDIO

# Math / Computation
OPTIONS_SET   += GMP
OPTIONS_SET   += OPENBLAS
OPTIONS_SET   += OPENCL

# Web
OPTIONS_SET   += METALINK PSL

# Network
OPTIONS_SET   += IPV6
OPTIONS_SET   += LIBPROXY PROXY
OPTIONS_SET   += LDAP LDAPS
OPTIONS_SET   += LIBSSH2
OPTIONS_SET   += FETCH
OPTIONS_UNSET += AVAHI BONJOUR MDNS

# X11 / Wayland
OPTIONS_UNSET += OPENGL
OPTIONS_UNSET += X11
OPTIONS_UNSET += GTK3
OPTIONS_UNSET += WAYLAND

# Just say No!
OPTIONS_UNSET += GCONF
OPTIONS_UNSET += WMF

# Port specific
           shells_bash_SET   += DOCS
              ftp_lftp_SET   += DOCS
              ftp_wget_SET   += DOCS
              ftp_curl_SET   += DOCS EXAMPLES
           devel_cunit_SET   += DOCS EXAMPLES
            devel_pcre_SET   += DOCS
           devel_pcre2_SET   += DOCS
         security_nmap_SET   += DOCS
          devel_llvm60_SET   += DOCS
          devel_llvm80_SET   += DOCS
           devel_cmake_SET   += DOCS
  sysutils_fusefs-ntfs_SET   += DOCS
            devel_kyua_SET   += DOCS EXAMPLES
     graphics_graphviz_SET   += DOCS EXAMPLES
            net_unison_SET   += DOCS
            lang_ocaml_UNSET += X11
     sysutils_zfstools_SET   += DOCS
             net_rsync_SET   += DOCS
            ftp_prftpd_SET   += DOCS
          mail_postfix_SET   += DOCS
ports-mgmt/portupgrade_SET   += DOCS
          devel_ccache_SET   += DOCS


WITH_CCACHE_BUILD=yes
CCACHE_DIR=/root/.ccache
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 6.0.1 (tags/RELEASE_601/final 335540) (based on LLVM 6.0.1) Target: x86_64-unknown-freebsd12.0 Thread model: posix InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 6.0.1 (tags/RELEASE_601/final 335540) (based on LLVM 6.0.1) Target: x86_64-unknown-freebsd12.0 Thread model: posix InstalledDir: /usr/bin "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=yes
CC_OUTPUT_921dbbb2_f2776b26=yes
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
CC_OUTPUT_921dbbb2_160933ec=yes
CC_OUTPUT_921dbbb2_fb62803b=yes
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 6.0.1 (tags/RELEASE_601/final 335540) (based on LLVM 6.0.1) Target: x86_64-unknown-freebsd12.0 Thread model: posix InstalledDir: /usr/bin
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=amd64
OPSYS=FreeBSD
_OSRELEASE=12.0-RELEASE-p1
OSREL=12.0
OSVERSION=1200086
PYTHONBASE=/usr/local
HAVE_COMPAT_IA32_KERN=YES
_SMP_CPUS=8
CONFIGURE_MAX_CMD_LEN=262144
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  34304
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   libgd-2.2.5_1,1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.12.0.txz
[incal.sdalu.com] Installing pkg-1.12.0...
[incal.sdalu.com] Extracting pkg-1.12.0: .......... done
===>   libgd-2.2.5_1,1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of libgd-2.2.5_1,1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by libgd-2.2.5_1,1 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by libgd-2.2.5_1,1 for building
=> SHA256 Checksum OK for libgd-2.2.5.tar.xz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by libgd-2.2.5_1,1 for building
===>  Extracting for libgd-2.2.5_1,1
=> SHA256 Checksum OK for libgd-2.2.5.tar.xz.

GD_FONTS can be set to specify an alternative list of .bdf files

===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for libgd-2.2.5_1,1
===>  Applying FreeBSD patches for libgd-2.2.5_1,1
===========================================================================
=======================<phase: build-depends  >============================
===>   libgd-2.2.5_1,1 depends on package: pkgconf>=1.3.0_1 - not found
===>   Installing existing package /packages/All/pkgconf-1.6.3,1.txz
[incal.sdalu.com] Installing pkgconf-1.6.3,1...
[incal.sdalu.com] Extracting pkgconf-1.6.3,1: .......... done
===>   libgd-2.2.5_1,1 depends on package: pkgconf>=1.3.0_1 - found
===>   Returning to build of libgd-2.2.5_1,1
===>   libgd-2.2.5_1,1 depends on file: /usr/local/bin/ccache - not found
===>   Installing existing package /packages/All/ccache-3.7.1.txz
[incal.sdalu.com] Installing ccache-3.7.1...
[incal.sdalu.com] Extracting ccache-3.7.1: ......... done
Create compiler links...
create symlink for cc
create symlink for cc (world)
create symlink for c++
create symlink for c++ (world)
create symlink for CC
create symlink for CC (world)
create symlink for clang
create symlink for clang (world)
create symlink for clang++
create symlink for clang++ (world)
=====
Message from ccache-3.7.1:

--
NOTE:
Please read /usr/local/share/doc/ccache/ccache-howto-freebsd.txt for
information on using ccache with FreeBSD ports and src.
===>   libgd-2.2.5_1,1 depends on file: /usr/local/bin/ccache - found
===>   Returning to build of libgd-2.2.5_1,1
===========================================================================
=======================<phase: lib-depends    >============================
===>   libgd-2.2.5_1,1 depends on shared library: libpng.so - not found
===>   Installing existing package /packages/All/png-1.6.37.txz
[incal.sdalu.com] Installing png-1.6.37...
[incal.sdalu.com] Extracting png-1.6.37: .......... done
===>   libgd-2.2.5_1,1 depends on shared library: libpng.so - found (/usr/local/lib/libpng.so)
===>   Returning to build of libgd-2.2.5_1,1
===>   libgd-2.2.5_1,1 depends on shared library: libfreetype.so - not found
===>   Installing existing package /packages/All/freetype2-2.10.1.txz
[incal.sdalu.com] Installing freetype2-2.10.1...
[incal.sdalu.com] Extracting freetype2-2.10.1: .......... done
=====
Message from freetype2-2.10.1:

--
The 2.7.x series now uses the new subpixel hinting mode (V40 port's option) as
the default, emulating a modern version of ClearType. This change inevitably
leads to different rendering results, and you might change port's options to
adapt it to your taste (or use the new "FREETYPE_PROPERTIES" environment
variable).

The environment variable "FREETYPE_PROPERTIES" can be used to control the
driver properties. Example:

FREETYPE_PROPERTIES=truetype:interpreter-version=35 \
	cff:no-stem-darkening=1 \
	autofitter:warping=1

This allows to select, say, the subpixel hinting mode at runtime for a given
application.

If LONG_PCF_NAMES port's option was enabled, the PCF family names may include
the foundry and information whether they contain wide characters. For example,
"Sony Fixed" or "Misc Fixed Wide", instead of "Fixed". This can be disabled at
run time with using pcf:no-long-family-names property, if needed. Example:

FREETYPE_PROPERTIES=pcf:no-long-family-names=1

How to recreate fontconfig cache with using such environment variable,
if needed:
# env FREETYPE_PROPERTIES=pcf:no-long-family-names=1 fc-cache -fsv

The controllable properties are listed in the section "Controlling FreeType
Modules" in the reference's table of contents
(/usr/local/share/doc/freetype2/reference/site/index.html, if documentation was installed).
===>   libgd-2.2.5_1,1 depends on shared library: libfreetype.so - found (/usr/local/lib/libfreetype.so)
===>   Returning to build of libgd-2.2.5_1,1
===>   libgd-2.2.5_1,1 depends on shared library: libjpeg.so - not found
===>   Installing existing package /packages/All/jpeg-turbo-2.0.3.txz
[incal.sdalu.com] Installing jpeg-turbo-2.0.3...
[incal.sdalu.com] Extracting jpeg-turbo-2.0.3: .......... done
===>   libgd-2.2.5_1,1 depends on shared library: libjpeg.so - found (/usr/local/lib/libjpeg.so)
===>   Returning to build of libgd-2.2.5_1,1
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for libgd-2.2.5_1,1
/usr/bin/sed -i.bak  -e 's|^GDLIB_LT_CURRENT=3|GDLIB_LT_CURRENT=6|'  /wrkdirs/usr/ports/graphics/gd/work/libgd-2.2.5/configure
/usr/bin/sed -i.bak  -e 's|iconv|noiconv|'  /wrkdirs/usr/ports/graphics/gd/work/libgd-2.2.5/configure
===>   FreeBSD 10 autotools fix applied to /wrkdirs/usr/ports/graphics/gd/work/libgd-2.2.5/config/config.rpath
configure: loading site script /usr/ports/Templates/config.site
checking build system type... amd64-portbld-freebsd12.0
checking host system type... amd64-portbld-freebsd12.0
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... (cached) /bin/mkdir -p
checking for gawk... (cached) /usr/bin/awk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking for style of include used by make... GNU
checking for gcc... cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking whether cc understands -c and -o together... yes
checking dependency style of cc... gcc3
checking for ar... ar
checking the archiver (ar) interface... ar
checking for cc option to accept ISO C99... none needed
checking for cc option to accept ISO Standard C... (cached) none needed
checking how to print strings... printf
checking for a sed that does not truncate output... (cached) /usr/bin/sed
checking for grep that handles long lines and -e... (cached) /usr/bin/grep
checking for egrep... (cached) /usr/bin/egrep
checking for fgrep... (cached) /usr/bin/fgrep
checking for ld used by cc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm
checking the name lister (/usr/bin/nm) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... (cached) 262144
checking how to convert amd64-portbld-freebsd12.0 file names to amd64-portbld-freebsd12.0 format... func_convert_file_noop
checking how to convert amd64-portbld-freebsd12.0 file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for archiver @FILE support... no
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm output from cc object... ok
checking for sysroot... no
checking for a working dd... /bin/dd
checking how to truncate binary pipes... /bin/dd bs=4096 count=1
checking for mt... mt
checking if mt is a manifest tool... no
checking how to run the C preprocessor... cpp
checking for ANSI C header files... (cached) yes
checking for sys/types.h... (cached) yes
checking for sys/stat.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for memory.h... (cached) yes
checking for strings.h... (cached) yes
checking for inttypes.h... (cached) yes
checking for stdint.h... (cached) yes
checking for unistd.h... (cached) yes
checking for dlfcn.h... (cached) yes
checking for objdir... .libs
checking if cc supports -fno-rtti -fno-exceptions... yes
checking for cc option to produce PIC... -fPIC -DPIC
checking if cc PIC flag -fPIC -DPIC works... yes
checking if cc static flag -static works... yes
checking if cc supports -c -o file.o... yes
checking if cc supports -c -o file.o... (cached) yes
checking whether the cc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... freebsd12.0 ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking whether ln -s works... yes
checking whether make sets $(MAKE)... (cached) yes
checking pkg-config is at least version 0.9.0... yes
checking for X... no
checking for ANSI C header files... (cached) yes
checking for dirent.h... (cached) yes
checking for errno.h... (cached) yes
checking for inttypes.h... (cached) yes
checking for limits.h... (cached) yes
checking for stddef.h... (cached) yes
checking for stdint.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for strings.h... (cached) yes
checking for unistd.h... (cached) yes
checking for sys/stat.h... (cached) yes
checking for sys/types.h... (cached) yes
checking for ld used by cc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking for noiconv... no, consider installing GNU libiconv
checking noiconv.h usability... no
checking noiconv.h presence... no
checking for noiconv.h... no
checking for sin... no
checking for sin in -lm... yes
checking whether cc is Clang... yes
checking whether Clang needs flag to prevent "argument unused" warning when linking with -pthread... no
checking for joinable pthread attribute... PTHREAD_CREATE_JOINABLE
checking whether more special flags are required for pthreads... no
checking for PTHREAD_PRIO_INHERIT... yes
checking for OpenMP flag of C compiler... unknown
checking whether to support zlib... auto
checking for LIBZ... yes
checking whether to support png... auto
checking for LIBPNG... yes
checking whether to support freetype... auto
checking for LIBFREETYPE... yes
checking whether to support fontconfig... no
checking whether to support jpeg... auto
checking for jpeg_set_defaults in -ljpeg... yes
checking whether to support liq... auto
checking libimagequant.h usability... no
checking libimagequant.h presence... no
checking for libimagequant.h... no
configure: Disabling support for liq
checking whether to support xpm... no
checking whether to support tiff... no
checking whether to support webp... no
checking for simple visibility declarations... yes
checking whether we are building for a Win32 host... no
checking CFLAGS for maximum warnings... -Wall

** Configuration summary for libgd 2.2.5:

   Support for Zlib:                 yes
   Support for PNG library:          yes
   Support for JPEG library:         yes
   Support for WebP library:         no
   Support for TIFF library:         no
   Support for Freetype 2.x library: yes
   Support for Fontconfig library:   no
   Support for Xpm library:          no
   Support for liq library:          no
   Support for pthreads:             yes

checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating tests/Makefile
config.status: creating config/Makefile
config.status: creating config/gdlib-config
config.status: creating config/gdlib.pc
config.status: creating src/config.h
config.status: executing depfiles commands
config.status: executing libtool commands
===========================================================================
=======================<phase: build          >============================
===>  Building for libgd-2.2.5_1,1
Making all in src
/usr/bin/make  all-am
depbase=`echo gd.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; /bin/sh ../libtool  --tag=CC    --mode=compile cc -DHAVE_CONFIG_H  -I.   -I/usr/local/include/libpng16   -I/usr/local/include/freetype2   -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -fvisibility=hidden -Wall -MT gd.lo -MD -MP -MF $depbase.Tpo -c -o gd.lo gd.c && mv -f $depbase.Tpo $depbase.Plo
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd.lo -MD -MP -MF .deps/gd.Tpo -c gd.c  -fPIC -DPIC -o .libs/gd.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd.lo -MD -MP -MF .deps/gd.Tpo -c gd.c -o gd.o >/dev/null 2>&1
depbase=`echo gd_bmp.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; /bin/sh ../libtool  --tag=CC    --mode=compile cc -DHAVE_CONFIG_H  -I.   -I/usr/local/include/libpng16   -I/usr/local/include/freetype2   -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -fvisibility=hidden -Wall -MT gd_bmp.lo -MD -MP -MF $depbase.Tpo -c -o gd_bmp.lo gd_bmp.c && mv -f $depbase.Tpo $depbase.Plo
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_bmp.lo -MD -MP -MF .deps/gd_bmp.Tpo -c gd_bmp.c  -fPIC -DPIC -o .libs/gd_bmp.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_bmp.lo -MD -MP -MF .deps/gd_bmp.Tpo -c gd_bmp.c -o gd_bmp.o >/dev/null 2>&1
depbase=`echo gd_color.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; /bin/sh ../libtool  --tag=CC    --mode=compile cc -DHAVE_CONFIG_H  -I.   -I/usr/local/include/libpng16   -I/usr/local/include/freetype2   -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -fvisibility=hidden -Wall -MT gd_color.lo -MD -MP -MF $depbase.Tpo -c -o gd_color.lo gd_color.c && mv -f $depbase.Tpo $depbase.Plo
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_color.lo -MD -MP -MF .deps/gd_color.Tpo -c gd_color.c  -fPIC -DPIC -o .libs/gd_color.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_color.lo -MD -MP -MF .deps/gd_color.Tpo -c gd_color.c -o gd_color.o >/dev/null 2>&1
depbase=`echo gd_color_map.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; /bin/sh ../libtool  --tag=CC    --mode=compile cc -DHAVE_CONFIG_H  -I.   -I/usr/local/include/libpng16   -I/usr/local/include/freetype2   -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -fvisibility=hidden -Wall -MT gd_color_map.lo -MD -MP -MF $depbase.Tpo -c -o gd_color_map.lo gd_color_map.c && mv -f $depbase.Tpo $depbase.Plo
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_color_map.lo -MD -MP -MF .deps/gd_color_map.Tpo -c gd_color_map.c  -fPIC -DPIC -o .libs/gd_color_map.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_color_map.lo -MD -MP -MF .deps/gd_color_map.Tpo -c gd_color_map.c -o gd_color_map.o >/dev/null 2>&1
depbase=`echo gd_color_match.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; /bin/sh ../libtool  --tag=CC    --mode=compile cc -DHAVE_CONFIG_H  -I.   -I/usr/local/include/libpng16   -I/usr/local/include/freetype2   -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -fvisibility=hidden -Wall -MT gd_color_match.lo -MD -MP -MF $depbase.Tpo -c -o gd_color_match.lo gd_color_match.c && mv -f $depbase.Tpo $depbase.Plo
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_color_match.lo -MD -MP -MF .deps/gd_color_match.Tpo -c gd_color_match.c  -fPIC -DPIC -o .libs/gd_color_match.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_color_match.lo -MD -MP -MF .deps/gd_color_match.Tpo -c gd_color_match.c -o gd_color_match.o >/dev/null 2>&1
depbase=`echo gd_crop.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; /bin/sh ../libtool  --tag=CC    --mode=compile cc -DHAVE_CONFIG_H  -I.   -I/usr/local/include/libpng16   -I/usr/local/include/freetype2   -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -fvisibility=hidden -Wall -MT gd_crop.lo -MD -MP -MF $depbase.Tpo -c -o gd_crop.lo gd_crop.c && mv -f $depbase.Tpo $depbase.Plo
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_crop.lo -MD -MP -MF .deps/gd_crop.Tpo -c gd_crop.c  -fPIC -DPIC -o .libs/gd_crop.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_crop.lo -MD -MP -MF .deps/gd_crop.Tpo -c gd_crop.c -o gd_crop.o >/dev/null 2>&1
depbase=`echo gd_filename.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; /bin/sh ../libtool  --tag=CC    --mode=compile cc -DHAVE_CONFIG_H  -I.   -I/usr/local/include/libpng16   -I/usr/local/include/freetype2   -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -fvisibility=hidden -Wall -MT gd_filename.lo -MD -MP -MF $depbase.Tpo -c -o gd_filename.lo gd_filename.c && mv -f $depbase.Tpo $depbase.Plo
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_filename.lo -MD -MP -MF .deps/gd_filename.Tpo -c gd_filename.c  -fPIC -DPIC -o .libs/gd_filename.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_filename.lo -MD -MP -MF .deps/gd_filename.Tpo -c gd_filename.c -o gd_filename.o >/dev/null 2>&1
depbase=`echo gd_filter.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; /bin/sh ../libtool  --tag=CC    --mode=compile cc -DHAVE_CONFIG_H  -I.   -I/usr/local/include/libpng16   -I/usr/local/include/freetype2   -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -fvisibility=hidden -Wall -MT gd_filter.lo -MD -MP -MF $depbase.Tpo -c -o gd_filter.lo gd_filter.c && mv -f $depbase.Tpo $depbase.Plo
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_filter.lo -MD -MP -MF .deps/gd_filter.Tpo -c gd_filter.c  -fPIC -DPIC -o .libs/gd_filter.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_filter.lo -MD -MP -MF .deps/gd_filter.Tpo -c gd_filter.c -o gd_filter.o >/dev/null 2>&1
depbase=`echo gd_gd.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; /bin/sh ../libtool  --tag=CC    --mode=compile cc -DHAVE_CONFIG_H  -I.   -I/usr/local/include/libpng16   -I/usr/local/include/freetype2   -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -fvisibility=hidden -Wall -MT gd_gd.lo -MD -MP -MF $depbase.Tpo -c -o gd_gd.lo gd_gd.c && mv -f $depbase.Tpo $depbase.Plo
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_gd.lo -MD -MP -MF .deps/gd_gd.Tpo -c gd_gd.c  -fPIC -DPIC -o .libs/gd_gd.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_gd.lo -MD -MP -MF .deps/gd_gd.Tpo -c gd_gd.c -o gd_gd.o >/dev/null 2>&1
depbase=`echo gd_gd2.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; /bin/sh ../libtool  --tag=CC    --mode=compile cc -DHAVE_CONFIG_H  -I.   -I/usr/local/include/libpng16   -I/usr/local/include/freetype2   -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -fvisibility=hidden -Wall -MT gd_gd2.lo -MD -MP -MF $depbase.Tpo -c -o gd_gd2.lo gd_gd2.c && mv -f $depbase.Tpo $depbase.Plo
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_gd2.lo -MD -MP -MF .deps/gd_gd2.Tpo -c gd_gd2.c  -fPIC -DPIC -o .libs/gd_gd2.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_gd2.lo -MD -MP -MF .deps/gd_gd2.Tpo -c gd_gd2.c -o gd_gd2.o >/dev/null 2>&1
depbase=`echo gd_gif_in.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; /bin/sh ../libtool  --tag=CC    --mode=compile cc -DHAVE_CONFIG_H  -I.   -I/usr/local/include/libpng16   -I/usr/local/include/freetype2   -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -fvisibility=hidden -Wall -MT gd_gif_in.lo -MD -MP -MF $depbase.Tpo -c -o gd_gif_in.lo gd_gif_in.c && mv -f $depbase.Tpo $depbase.Plo
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_gif_in.lo -MD -MP -MF .deps/gd_gif_in.Tpo -c gd_gif_in.c  -fPIC -DPIC -o .libs/gd_gif_in.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_gif_in.lo -MD -MP -MF .deps/gd_gif_in.Tpo -c gd_gif_in.c -o gd_gif_in.o >/dev/null 2>&1
depbase=`echo gd_gif_out.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; /bin/sh ../libtool  --tag=CC    --mode=compile cc -DHAVE_CONFIG_H  -I.   -I/usr/local/include/libpng16   -I/usr/local/include/freetype2   -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -fvisibility=hidden -Wall -MT gd_gif_out.lo -MD -MP -MF $depbase.Tpo -c -o gd_gif_out.lo gd_gif_out.c && mv -f $depbase.Tpo $depbase.Plo
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_gif_out.lo -MD -MP -MF .deps/gd_gif_out.Tpo -c gd_gif_out.c  -fPIC -DPIC -o .libs/gd_gif_out.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_gif_out.lo -MD -MP -MF .deps/gd_gif_out.Tpo -c gd_gif_out.c -o gd_gif_out.o >/dev/null 2>&1
depbase=`echo gd_interpolation.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; /bin/sh ../libtool  --tag=CC    --mode=compile cc -DHAVE_CONFIG_H  -I.   -I/usr/local/include/libpng16   -I/usr/local/include/freetype2   -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -fvisibility=hidden -Wall -MT gd_interpolation.lo -MD -MP -MF $depbase.Tpo -c -o gd_interpolation.lo gd_interpolation.c && mv -f $depbase.Tpo $depbase.Plo
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_interpolation.lo -MD -MP -MF .deps/gd_interpolation.Tpo -c gd_interpolation.c  -fPIC -DPIC -o .libs/gd_interpolation.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_interpolation.lo -MD -MP -MF .deps/gd_interpolation.Tpo -c gd_interpolation.c -o gd_interpolation.o >/dev/null 2>&1
depbase=`echo gd_io.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; /bin/sh ../libtool  --tag=CC    --mode=compile cc -DHAVE_CONFIG_H  -I.   -I/usr/local/include/libpng16   -I/usr/local/include/freetype2   -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -fvisibility=hidden -Wall -MT gd_io.lo -MD -MP -MF $depbase.Tpo -c -o gd_io.lo gd_io.c && mv -f $depbase.Tpo $depbase.Plo
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_io.lo -MD -MP -MF .deps/gd_io.Tpo -c gd_io.c  -fPIC -DPIC -o .libs/gd_io.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_io.lo -MD -MP -MF .deps/gd_io.Tpo -c gd_io.c -o gd_io.o >/dev/null 2>&1
depbase=`echo gd_io_dp.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; /bin/sh ../libtool  --tag=CC    --mode=compile cc -DHAVE_CONFIG_H  -I.   -I/usr/local/include/libpng16   -I/usr/local/include/freetype2   -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -fvisibility=hidden -Wall -MT gd_io_dp.lo -MD -MP -MF $depbase.Tpo -c -o gd_io_dp.lo gd_io_dp.c && mv -f $depbase.Tpo $depbase.Plo
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_io_dp.lo -MD -MP -MF .deps/gd_io_dp.Tpo -c gd_io_dp.c  -fPIC -DPIC -o .libs/gd_io_dp.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_io_dp.lo -MD -MP -MF .deps/gd_io_dp.Tpo -c gd_io_dp.c -o gd_io_dp.o >/dev/null 2>&1
depbase=`echo gd_io_file.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; /bin/sh ../libtool  --tag=CC    --mode=compile cc -DHAVE_CONFIG_H  -I.   -I/usr/local/include/libpng16   -I/usr/local/include/freetype2   -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -fvisibility=hidden -Wall -MT gd_io_file.lo -MD -MP -MF $depbase.Tpo -c -o gd_io_file.lo gd_io_file.c && mv -f $depbase.Tpo $depbase.Plo
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_io_file.lo -MD -MP -MF .deps/gd_io_file.Tpo -c gd_io_file.c  -fPIC -DPIC -o .libs/gd_io_file.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_io_file.lo -MD -MP -MF .deps/gd_io_file.Tpo -c gd_io_file.c -o gd_io_file.o >/dev/null 2>&1
depbase=`echo gd_io_ss.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; /bin/sh ../libtool  --tag=CC    --mode=compile cc -DHAVE_CONFIG_H  -I.   -I/usr/local/include/libpng16   -I/usr/local/include/freetype2   -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -fvisibility=hidden -Wall -MT gd_io_ss.lo -MD -MP -MF $depbase.Tpo -c -o gd_io_ss.lo gd_io_ss.c && mv -f $depbase.Tpo $depbase.Plo
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_io_ss.lo -MD -MP -MF .deps/gd_io_ss.Tpo -c gd_io_ss.c  -fPIC -DPIC -o .libs/gd_io_ss.o
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_io_ss.lo -MD -MP -MF .deps/gd_io_ss.Tpo -c gd_io_ss.c -o gd_io_ss.o >/dev/null 2>&1
depbase=`echo gd_jpeg.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; /bin/sh ../libtool  --tag=CC    --mode=compile cc -DHAVE_CONFIG_H  -I.   -I/usr/local/include/libpng16   -I/usr/local/include/freetype2   -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -fvisibility=hidden -Wall -MT gd_jpeg.lo -MD -MP -MF $depbase.Tpo -c -o gd_jpeg.lo gd_jpeg.c && mv -f $depbase.Tpo $depbase.Plo
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I/usr/local/include/libpng16 -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -fvisibility=hidden -Wall -MT gd_jpeg.lo -MD -MP -MF .deps/gd_jpeg.Tpo -c gd_jpeg.c  -fPIC -DPIC -o .libs/gd_jpeg.o
gd_jpeg.c:57:10: fatal error: 'jpeglib.h' file not found
#include "jpeglib.h"
         ^~~~~~~~~~~
1 error generated.
*** Error code 1

Stop.
make[3]: stopped in /wrkdirs/usr/ports/graphics/gd/work/libgd-2.2.5/src
*** Error code 1

Stop.
make[2]: stopped in /wrkdirs/usr/ports/graphics/gd/work/libgd-2.2.5/src
*** Error code 1

Stop.
make[1]: stopped in /wrkdirs/usr/ports/graphics/gd/work/libgd-2.2.5
*** Error code 1

Stop.
make: stopped in /usr/ports/graphics/gd
=>> Cleaning up wrkdir
===>  Cleaning for libgd-2.2.5_1,1
build of graphics/gd | libgd-2.2.5_1,1 ended at Sun Sep 22 17:06:22 CEST 2019
build time: 00:00:11
!!! build failure encountered !!!
Comment 1 Dirk Meyer freebsd_committer 2019-09-22 16:43:51 UTC
A fix is tin testing
Comment 2 commit-hook freebsd_committer 2019-09-22 17:55:49 UTC
A commit references this bug:

Author: dinoex
Date: Sun Sep 22 17:55:03 UTC 2019
New revision: 512598
URL: https://svnweb.freebsd.org/changeset/ports/512598

Log:
  - fix missing include path if all options are off
  PR:		240752

  - new option PNG JPEG FREETYPE
  - enable option ICONV by default

Changes:
  head/graphics/gd/Makefile
  head/graphics/gd/pkg-plist